Skip to main content
GET
/
v2
/
customers
/
{customerId}
/
lastChange
Get Customer Last Change
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/customers/{customerId}/lastChange \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "lastChangeDate": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

customerId
string<uuid>
required

The id of the customer that the notes belong to. Represents a unique key for identifying a customer in the JTL system.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the customer's last change date for the given id.

Model Class: LastChange

id
string<uuid>

Unique internal ID of the customer.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

lastChangeDate
string<date-time>

Length